Bug 78091 - gid bit on directories does not work in tmpfs
gid bit on directories does not work in tmpfs
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2002-11-18 18:16 EST by Kevin J. Miller
Modified: 2008-08-01 12:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-30 11:40:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Kevin J. Miller 2002-11-18 18:16:51 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
If I have a directory in a tmpfs partition, and the gid bit is set, files
created in this directory will still have the user's default group rather than
the group of the directory.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. mkdir /mnt/tmpfs/some_dir
2. chgrp other_group /mnt/tmpfs/some_dir
3. chmod g+s /mnt/tmpfs/some_dir
4. touch /mnt/tmpfs/some_dir/a_file
5. ls -l /mnt/tmpfs/some_dir/a_file

Actual Results:  The /mnt/tmpfs/some_dir/a_file is owned by my_group.

Expected Results:  The /mnt/tmpfs/some_dir/a_file should be owned by other_group.

Additional info:
Comment 1 Bugzilla owner 2004-09-30 11:40:12 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.